Darktable plugin in Gimp


#21

Where did you get your copy of GIMP from? Did you compile yourself or is that a package? In any case, you need to get a version supporting EXR.


(Dennis Lovatt) #22

Thanks for the quick response.

I am using Mint Mate 18.1

I installed GIMP from Update Manger with a PPA
otto-kesselgulasch/gimp-edge which I understand gives the latest Unstable
Development Version of GIMP 2.9.5

I have read about installing file-darktable and OpenEXR. I thought they may
be plug-ins but have not been able to find anything.

How do I go about finding a version of Gimp that supports EXR ?


#23

Technically they are plug-ins but they get compiled together with the program. So you have to contact Otto and ask him to add EXR support.


(Dennis Lovatt) #24

Just got the latest Unstable ppa of Gimp 2.9.5 it now supports OpenEXR.
This happened before I had managed to contact Otto - excellent.


#25

I have installed Gimp 2.9 & darktable.
I can see all requirements are met as per your list.
But when I open NEF file is shows me a dialog box saying: “there is no raw loader installed to load raw nikon files”.
I must be missing some configurations / settings.
How could I overcome this issue?


#26

What operating system are you using?


#27

Sorry I missed those details. I am using windows 10 OS.

While searching for how to setup darktable + gimp on windows, I came across this post. So thought that it is related to windows.

  • Another issue. I keep getting error / warning logs in the GIMP output window when I am using GIMP 2.9.
    This take up long time to load even the file open dialog, etc.
    Will this group deal with GIMP issue as well?

#28

@sachin Welcome to the forum! I use GIMP on win7 and it can be slow. Don’t worry about the error and warning dialogs. Since 2.9.x is still being worked on, it will happen. If it crashes or something works differently than expected, then we need to report it.

If you are concerned about being off-topic, I think you have enough questions and observations to make a new topic :wink:.


#29

Sure, we will deal with GIMP issues. :slight_smile:

I am not sure how to do that on Windows, but could you try setting the environment variable DARKTABLE_DEBUG before starting GIMP and see if you get some more helpful debug output?


#30

I added environment variable as “DARKTABLE_DEBUG” with value “1”.
Then started Gimp 2.9. But no logs.
I see the same logs which are shown related to files I think (more the number of files, more the logs).
(gimp-2.9.exe:10504): GLib-GIO-CRITICAL **: g_content_type_is_a: assertion ‘type != NULL’ failed
(gimp-2.9.exe:10504): GLib-GIO-CRITICAL **: g_content_type_is_a: assertion ‘type != NULL’ failed
(gimp-2.9.exe:10504): GLib-GIO-CRITICAL **: g_content_type_is_a: assertion ‘type != NULL’ failed

No other specific logs.


(samj) #31

@sachin

Bonjour,

Darktable works very well with Gimp 2.9.9 Win Git from March 10, 2018.

Version tested : https://github.com/darktable-org/darktable/releases/download/release-2.4.1/darktable-2.4.1-win64.exe

There is nothing to change, just install Darktable, start Gimp and open a RAW file in Gimp that will launch Darktable.

:o)


#32

@samj,
Bonjour :slight_smile:
thanks for this update… let me check it.


#33

@samj
could you please share “Gimp 2.9.9 Win Git” installer link?
I don’t see it in dev downloads.


(samj) #34

Bonjour,

It’s just a test version.
Here is the link to the English translation :

https://translate.google.com/translate?sl=fr&tl=en&js=y&prev=_t&hl=fr&ie=UTF-8&u=https%3A%2F%2Fsamjcreations.blogspot.ca%2F2018%2F03%2Fversion-de-developpement-gimp-299_10.html

When the versions of gimp.org are ready I recommend you to test them.

:o)


#35

Strange. What raw loading capabilities do you see in Edit->Preferences, “Image Import & Export”?


#36

Folks,
Just tried 2.10.0 RC1 works fine for NEF, CR2!!!
Thanks to GIMP folks and you all :slight_smile: